/****************************************************************************
 *
 *		Target Tuning Symbol File
 *		-------------------------
 *
 * 		This file is populated with symbol information only for modules
 *		that have an object ID of 30000 or greater assigned.
 *
 *          Generated on:  10-May-2024 11:40:35
 *
 ***************************************************************************/

#ifndef AWE_HW_BUTTON_MUTE_CONTROLINTERFACE_H
#define AWE_HW_BUTTON_MUTE_CONTROLINTERFACE_H

// ----------------------------------------------------------------------
//  [MuteSmoothed]
// Newly created subsystem

#define AWE_Mute1_classID 0xBEEF081C
#define AWE_Mute1_ID 30000

// int profileTime - 24.8 fixed point filtered execution time. Must be pumped 1000 times to get to within .1% accuracy
#define AWE_Mute1_profileTime_HANDLE 0x07530007
#define AWE_Mute1_profileTime_MASK 0x00000080
#define AWE_Mute1_profileTime_SIZE 0x00000001

// int isMuted - Boolean that controls muting/unmuting.
// Default value: 0
// Range: 0 to 1
#define AWE_Mute1_isMuted_HANDLE 0x07530008
#define AWE_Mute1_isMuted_MASK 0x00000100
#define AWE_Mute1_isMuted_SIZE 0x00000001

// float smoothingTime - Time constant of the smoothing process
// Default value: 10
// Range: 0 to 1000
#define AWE_Mute1_smoothingTime_HANDLE 0x07530009
#define AWE_Mute1_smoothingTime_MASK 0x00000200
#define AWE_Mute1_smoothingTime_SIZE 0x00000001

// float currentGain - Instantaneous gain applied by the module.  This 
//         is also the starting gain of the module.
#define AWE_Mute1_currentGain_HANDLE 0x0753000A
#define AWE_Mute1_currentGain_MASK 0x00000400
#define AWE_Mute1_currentGain_SIZE 0x00000001

// float smoothingCoeff - Smoothing coefficient.
#define AWE_Mute1_smoothingCoeff_HANDLE 0x0753000B
#define AWE_Mute1_smoothingCoeff_MASK 0x00000800
#define AWE_Mute1_smoothingCoeff_SIZE 0x00000001

// float gain - Target gain.
#define AWE_Mute1_gain_HANDLE 0x0753000C
#define AWE_Mute1_gain_MASK 0x00001000
#define AWE_Mute1_gain_SIZE 0x00000001


// ----------------------------------------------------------------------
//  [SinkInt]
// Newly created subsystem

#define AWE_SinkInt1_classID 0xBEEF086E
#define AWE_SinkInt1_ID 30001

// int profileTime - 24.8 fixed point filtered execution time. Must be pumped 1000 times to get to within .1% accuracy
#define AWE_SinkInt1_profileTime_HANDLE 0x07531007
#define AWE_SinkInt1_profileTime_MASK 0x00000080
#define AWE_SinkInt1_profileTime_SIZE 0x00000001

// int value[1] - Captured values
#define AWE_SinkInt1_value_HANDLE 0x87531008
#define AWE_SinkInt1_value_MASK 0x00000100
#define AWE_SinkInt1_value_SIZE 0x00000001


#define AWE_OBJECT_FOUND 0

#endif // AWE_HW_BUTTON_MUTE_CONTROLINTERFACE_H

