/****************************************************************************
 *
 *		Target Tuning Symbol File
 *		-------------------------
 *
 * 		This file is populated with symbol information only for modules
 *		that have an object ID of 30000 or greater assigned.
 *
 *          Generated on:  10-May-2024 11:40:35
 *
 ***************************************************************************/

#ifndef AWE_HW_BUTTON_MUTE_CONTROLINTERFACE_AWE6_H
#define AWE_HW_BUTTON_MUTE_CONTROLINTERFACE_AWE6_H

// ----------------------------------------------------------------------
// Mute1 [MuteSmoothed]
// Smoothly mutes and unmutes

#define AWE_Mute1_ID 30000

// int profileTime - 24.8 fixed point filtered execution time. Must be pumped 1000 times to get to within .1% accuracy
#define AWE_Mute1_profileTime_OFFSET 7
#define AWE_Mute1_profileTime_MASK 0x00000080
#define AWE_Mute1_profileTime_SIZE -1

// int isMuted - Boolean that controls muting/unmuting.
// Default value: 0
// Range: 0 to 1
#define AWE_Mute1_isMuted_OFFSET 8
#define AWE_Mute1_isMuted_MASK 0x00000100
#define AWE_Mute1_isMuted_SIZE -1

// float smoothingTime - Time constant of the smoothing process
// Default value: 10
// Range: 0 to 1000
#define AWE_Mute1_smoothingTime_OFFSET 9
#define AWE_Mute1_smoothingTime_MASK 0x00000200
#define AWE_Mute1_smoothingTime_SIZE -1

// float currentGain - Instantaneous gain applied by the module.  This 
//         is also the starting gain of the module.
#define AWE_Mute1_currentGain_OFFSET 10
#define AWE_Mute1_currentGain_MASK 0x00000400
#define AWE_Mute1_currentGain_SIZE -1

// float smoothingCoeff - Smoothing coefficient.
#define AWE_Mute1_smoothingCoeff_OFFSET 11
#define AWE_Mute1_smoothingCoeff_MASK 0x00000800
#define AWE_Mute1_smoothingCoeff_SIZE -1

// float gain - Target gain.
#define AWE_Mute1_gain_OFFSET 12
#define AWE_Mute1_gain_MASK 0x00001000
#define AWE_Mute1_gain_SIZE -1


// ----------------------------------------------------------------------
// SinkInt1 [SinkInt]
// Copies the data at the input pin and stores it in an internal buffer

#define AWE_SinkInt1_ID 30001

// int profileTime - 24.8 fixed point filtered execution time. Must be pumped 1000 times to get to within .1% accuracy
#define AWE_SinkInt1_profileTime_OFFSET 7
#define AWE_SinkInt1_profileTime_MASK 0x00000080
#define AWE_SinkInt1_profileTime_SIZE -1

// int value[1] - Captured values
#define AWE_SinkInt1_value_OFFSET 8
#define AWE_SinkInt1_value_MASK 0x00000100
#define AWE_SinkInt1_value_SIZE 1



#endif // AWE_HW_BUTTON_MUTE_CONTROLINTERFACE_AWE6_H

